View all methods

userGroups.get

Retrieves information about a specific user group by ID.

Facts

Method GET https://api.getdx.com/userGroups.get
Required scope user_groups:read

Arguments

Required arguments

Name Type Description
token Token Auth token passed as an HTTP header.
id Text The group ID.

Example request

This is a typical request:

curl -X GET https://api.getdx.com/userGroups.get \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx' \
  -d 'id=group_id'

Example response

This is a typical success response:

{
  "ok": true,
  "group": {
    "id": "group_id",
    "name": "Frontend Team",
    "owner_id": "owner_id",
    "owner_email": "owner@company.com",
    "team_id": "team_id",
    "members": [
      {
        "id": "user_id",
        "email": "user@company.com",
        "name": "John Doe"
      }
    ],
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T10:30:00Z"
  }
}

Errors

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.

Error Description
not_authed No authentication token provided.
invalid_auth Some aspect of authentication cannot be validated.
not_found Group with the specified ID not found.
e>